.cards {
    position: relative;
    top: 2rem;
    height: 100%;
    width: 100%;
    overflow-y: scroll;
    margin: 0 auto;
    /* Pour compenser la largeur de la scrollbar */
    scrollbar-width: none;
    /* Masquer la scrollbar du navigateur */
    -ms-overflow-style: none;
    /* Masquer la scrollbar du navigateur pour Edge et IE */
    height: 50vh;
}

.cards::-webkit-scrollbar {
    width: 0;
    /* Masquer la scrollbar du navigateur pour Chrome, Safari et Opera */
}
.card-membre {
    position: relative;
    height: auto;
    width: auto;
    margin-bottom: 1rem;
    color: white;
    background: radial-gradient(#184A2D, #001007);
    padding: 1rem;
    border-radius: 20px;
    box-shadow: 0 2px 4px #184A2D;
}
.conteneur-avatar-membre{
    width: 22%;
    display: flex;
    align-items: flex-start;
}
.border-img-card-membre{
    position: relative;
    top: 0rem;
    left: 0rem;
    border-radius: 50%;
    background: #001007;
    padding: 2rem;
    width: 4rem;
    height: 4rem;
    border: solid 3px #184A2D;
}
.card-img-top{
    margin: -1rem;
}
.conteneur-infos-membre{
    width: 56%;
}
.card-membre-infos{
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.selecte {
    margin-top: 2rem;
    margin-bottom: 2rem;
    box-shadow: 0 2px 4px #FFB400;
    border: 5px solid #FFB400; 
}
.competences-membres{
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}
.box-btn-plus-membre{
    width: 22%;
    display: flex;
    align-items: flex-end;
    justify-content: end;
}

.btn-plus-membre{
    font-family: 'Lato';
    font-weight: bold;
    background: #FFB400;
    width: auto;
    height: auto;
}

.btn-plus-membre:hover{
    background: #184A2D;
    border: solid 3px #001007;
    transform: scale(1.2);
    transition: 0.3s ease-in;
}
.scrollbar {
    position: absolute;
    top: 4rem;
    right: 1rem;
    bottom: 0;
    width: 20px;
    display: flex;
    flex-direction: row;
    width: auto;
    height: auto;
}

.scrollbar-arrow {
    height: 20px;
    width: 100%;
    color: #FFB400;
    cursor: pointer;
    font-size: 42px;
}

.up{
    transform:  translateX(22px) rotate(90deg);
}

.down{
    transform: translateX(22px) rotate(90deg);
}

.scrollbar-arrow:before {
    display: block;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 5px;
    margin: 5px auto;
}

.scrollbar-arrow.up:before {
    border-color: transparent transparent white transparent;
    border-width: 0 5px 5px 5px;
}

.scrollbar-arrow.down:before {
    border-color: white transparent transparent transparent;
    border-width: 5px 5px 0 5px;
}

.scrollbar-track {
    height: calc(100% - 50px);
    width: 20px;
    margin: 20px 0;
    left: -5px;
    position: relative;
    overflow: hidden;
}

.scrollbar-thumb {
    width: 100%;
    background-color: #FFB400;
    border-radius: 6px;
    cursor: pointer;
    position: relative; /* Remplacez "relative" par "absolute" */
    z-index: 1;
}

.scrollbar-thumb.top {
    top: 0;
}

.scrollbar-thumb.bottom {
    bottom: 0;
}

/*  

Pagination Slider Membre

*/
.pagination {
    position: relative;
    top: 4rem;
    display: flex;
    justify-content: center;
}

.pagination button {
    margin: 0 5px;
    color: white;
    background: #184A2D;
    border: none;
}

.pagination button.active {
    background:#FFB400;
    color: #001007;
}

/* Styles pour les petits écrans (mobiles en mode portrait) */
@media screen and (min-width: 100px) and (max-width: 400px){
    .cards {
        top: 0rem !important;
        height: 70vh !important;
    }
    .scrollbar{
        top: 5rem !important;
    }
}
